Eclipse Platform Release 3.7

## org.eclipse.ltk.ui.refactoring
Class TextEditChangeNode.ChildNode

    java.lang.Object
      org.eclipse.ltk.internal.ui.refactoring.PreviewNode
          org.eclipse.ltk.ui.refactoring.TextEditChangeNode.ChildNode

Direct Known Subclasses:
  org.eclipse.ltk.internal.ui.refactoring.InternalLanguageElementNode

Enclosing class:
  TextEditChangeNode

    public abstract static class TextEditChangeNode.ChildNode

extends org.eclipse.ltk.internal.ui.refactoring.PreviewNode

Constructor Summary
`protected` `TextEditChangeNode.ChildNode(org.eclipse.ltk.internal.ui.refactoring.PreviewNode parent)`

Method Summary
`protected TextEditChangeNode` `getTextEditChangeNode()`

Methods inherited from class org.eclipse.ltk.internal.ui.refactoring.PreviewNode
`getImageDescriptor, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextEditChangeNode.ChildNode

    protected TextEditChangeNode.ChildNode(org.eclipse.ltk.internal.ui.refactoring.PreviewNode parent)

Method Detail

### getTextEditChangeNode

    protected TextEditChangeNode getTextEditChangeNode()

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.